// Copyright (c) 2020 Uber Technologies, Inc.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.14.0
// source: uber/cadence/shared/v1/cluster.proto

package sharedv1

import (
	reflect "reflect"
	sync "sync"

	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type HostInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Identity string `protobuf:"bytes,1,opt,name=identity,proto3" json:"identity,omitempty"`
}

func (x *HostInfo) Reset() {
	*x = HostInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HostInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HostInfo) ProtoMessage() {}

func (x *HostInfo) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HostInfo.ProtoReflect.Descriptor instead.
func (*HostInfo) Descriptor() ([]byte, []int) {
	return file_uber_cadence_shared_v1_cluster_proto_rawDescGZIP(), []int{0}
}

func (x *HostInfo) GetIdentity() string {
	if x != nil {
		return x.Identity
	}
	return ""
}

type RingInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Role        string      `protobuf:"bytes,1,opt,name=role,proto3" json:"role,omitempty"`
	MemberCount int32       `protobuf:"varint,2,opt,name=member_count,json=memberCount,proto3" json:"member_count,omitempty"`
	Members     []*HostInfo `protobuf:"bytes,3,rep,name=members,proto3" json:"members,omitempty"`
}

func (x *RingInfo) Reset() {
	*x = RingInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RingInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RingInfo) ProtoMessage() {}

func (x *RingInfo) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RingInfo.ProtoReflect.Descriptor instead.
func (*RingInfo) Descriptor() ([]byte, []int) {
	return file_uber_cadence_shared_v1_cluster_proto_rawDescGZIP(), []int{1}
}

func (x *RingInfo) GetRole() string {
	if x != nil {
		return x.Role
	}
	return ""
}

func (x *RingInfo) GetMemberCount() int32 {
	if x != nil {
		return x.MemberCount
	}
	return 0
}

func (x *RingInfo) GetMembers() []*HostInfo {
	if x != nil {
		return x.Members
	}
	return nil
}

type MembershipInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CurrentHost      *HostInfo   `protobuf:"bytes,1,opt,name=current_host,json=currentHost,proto3" json:"current_host,omitempty"`
	ReachableMembers []string    `protobuf:"bytes,2,rep,name=reachable_members,json=reachableMembers,proto3" json:"reachable_members,omitempty"`
	Rings            []*RingInfo `protobuf:"bytes,3,rep,name=rings,proto3" json:"rings,omitempty"`
}

func (x *MembershipInfo) Reset() {
	*x = MembershipInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MembershipInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MembershipInfo) ProtoMessage() {}

func (x *MembershipInfo) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MembershipInfo.ProtoReflect.Descriptor instead.
func (*MembershipInfo) Descriptor() ([]byte, []int) {
	return file_uber_cadence_shared_v1_cluster_proto_rawDescGZIP(), []int{2}
}

func (x *MembershipInfo) GetCurrentHost() *HostInfo {
	if x != nil {
		return x.CurrentHost
	}
	return nil
}

func (x *MembershipInfo) GetReachableMembers() []string {
	if x != nil {
		return x.ReachableMembers
	}
	return nil
}

func (x *MembershipInfo) GetRings() []*RingInfo {
	if x != nil {
		return x.Rings
	}
	return nil
}

type DomainCacheInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	NumOfItemsInCacheById   int64 `protobuf:"varint,1,opt,name=num_of_items_in_cache_by_id,json=numOfItemsInCacheById,proto3" json:"num_of_items_in_cache_by_id,omitempty"`
	NumOfItemsInCacheByName int64 `protobuf:"varint,2,opt,name=num_of_items_in_cache_by_name,json=numOfItemsInCacheByName,proto3" json:"num_of_items_in_cache_by_name,omitempty"`
}

func (x *DomainCacheInfo) Reset() {
	*x = DomainCacheInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DomainCacheInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DomainCacheInfo) ProtoMessage() {}

func (x *DomainCacheInfo) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_shared_v1_cluster_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DomainCacheInfo.ProtoReflect.Descriptor instead.
func (*DomainCacheInfo) Descriptor() ([]byte, []int) {
	return file_uber_cadence_shared_v1_cluster_proto_rawDescGZIP(), []int{3}
}

func (x *DomainCacheInfo) GetNumOfItemsInCacheById() int64 {
	if x != nil {
		return x.NumOfItemsInCacheById
	}
	return 0
}

func (x *DomainCacheInfo) GetNumOfItemsInCacheByName() int64 {
	if x != nil {
		return x.NumOfItemsInCacheByName
	}
	return 0
}

var File_uber_cadence_shared_v1_cluster_proto protoreflect.FileDescriptor

var file_uber_cadence_shared_v1_cluster_proto_rawDesc = []byte{
	0x0a, 0x24, 0x75, 0x62, 0x65, 0x72, 0x2f, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2f, 0x73,
	0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x76, 0x31, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x16, 0x75, 0x62, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x64,
	0x65, 0x6e, 0x63, 0x65, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x76, 0x31, 0x22, 0x26,
	0x0a, 0x08, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x1a, 0x0a, 0x08, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x22, 0x7d, 0x0a, 0x08, 0x52, 0x69, 0x6e, 0x67, 0x49, 0x6e,
	0x66, 0x6f, 0x12, 0x12, 0x0a, 0x04, 0x72, 0x6f, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x72, 0x6f, 0x6c, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x6d, 0x65, 0x6d, 0x62, 0x65, 0x72,
	0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x6d, 0x65,
	0x6d, 0x62, 0x65, 0x72, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x3a, 0x0a, 0x07, 0x6d, 0x65, 0x6d,
	0x62, 0x65, 0x72, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x75, 0x62, 0x65,
	0x72, 0x2e, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64,
	0x2e, 0x76, 0x31, 0x2e, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x07, 0x6d, 0x65,
	0x6d, 0x62, 0x65, 0x72, 0x73, 0x22, 0xba, 0x01, 0x0a, 0x0e, 0x4d, 0x65, 0x6d, 0x62, 0x65, 0x72,
	0x73, 0x68, 0x69, 0x70, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x43, 0x0a, 0x0c, 0x63, 0x75, 0x72, 0x72,
	0x65, 0x6e, 0x74, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20,
	0x2e, 0x75, 0x62, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2e, 0x73, 0x68,
	0x61, 0x72, 0x65, 0x64, 0x2e, 0x76, 0x31, 0x2e, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f,
	0x52, 0x0b, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x12, 0x2b, 0x0a,
	0x11, 0x72, 0x65, 0x61, 0x63, 0x68, 0x61, 0x62, 0x6c, 0x65, 0x5f, 0x6d, 0x65, 0x6d, 0x62, 0x65,
	0x72, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x10, 0x72, 0x65, 0x61, 0x63, 0x68, 0x61,
	0x62, 0x6c, 0x65, 0x4d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x12, 0x36, 0x0a, 0x05, 0x72, 0x69,
	0x6e, 0x67, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x75, 0x62, 0x65, 0x72,
	0x2e, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e,
	0x76, 0x31, 0x2e, 0x52, 0x69, 0x6e, 0x67, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x05, 0x72, 0x69, 0x6e,
	0x67, 0x73, 0x22, 0x8d, 0x01, 0x0a, 0x0f, 0x44, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x43, 0x61, 0x63,
	0x68, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x3a, 0x0a, 0x1b, 0x6e, 0x75, 0x6d, 0x5f, 0x6f, 0x66,
	0x5f, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x5f, 0x69, 0x6e, 0x5f, 0x63, 0x61, 0x63, 0x68, 0x65, 0x5f,
	0x62, 0x79, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x15, 0x6e, 0x75, 0x6d,
	0x4f, 0x66, 0x49, 0x74, 0x65, 0x6d, 0x73, 0x49, 0x6e, 0x43, 0x61, 0x63, 0x68, 0x65, 0x42, 0x79,
	0x49, 0x64, 0x12, 0x3e, 0x0a, 0x1d, 0x6e, 0x75, 0x6d, 0x5f, 0x6f, 0x66, 0x5f, 0x69, 0x74, 0x65,
	0x6d, 0x73, 0x5f, 0x69, 0x6e, 0x5f, 0x63, 0x61, 0x63, 0x68, 0x65, 0x5f, 0x62, 0x79, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x17, 0x6e, 0x75, 0x6d, 0x4f, 0x66,
	0x49, 0x74, 0x65, 0x6d, 0x73, 0x49, 0x6e, 0x43, 0x61, 0x63, 0x68, 0x65, 0x42, 0x79, 0x4e, 0x61,
	0x6d, 0x65, 0x42, 0x37, 0x5a, 0x35, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x75, 0x62, 0x65, 0x72, 0x2f, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2f, 0x2e, 0x67,
	0x65, 0x6e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f,
	0x76, 0x31, 0x3b, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_uber_cadence_shared_v1_cluster_proto_rawDescOnce sync.Once
	file_uber_cadence_shared_v1_cluster_proto_rawDescData = file_uber_cadence_shared_v1_cluster_proto_rawDesc
)

func file_uber_cadence_shared_v1_cluster_proto_rawDescGZIP() []byte {
	file_uber_cadence_shared_v1_cluster_proto_rawDescOnce.Do(func() {
		file_uber_cadence_shared_v1_cluster_proto_rawDescData = protoimpl.X.CompressGZIP(file_uber_cadence_shared_v1_cluster_proto_rawDescData)
	})
	return file_uber_cadence_shared_v1_cluster_proto_rawDescData
}

var file_uber_cadence_shared_v1_cluster_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_uber_cadence_shared_v1_cluster_proto_goTypes = []interface{}{
	(*HostInfo)(nil),        // 0: uber.cadence.shared.v1.HostInfo
	(*RingInfo)(nil),        // 1: uber.cadence.shared.v1.RingInfo
	(*MembershipInfo)(nil),  // 2: uber.cadence.shared.v1.MembershipInfo
	(*DomainCacheInfo)(nil), // 3: uber.cadence.shared.v1.DomainCacheInfo
}
var file_uber_cadence_shared_v1_cluster_proto_depIdxs = []int32{
	0, // 0: uber.cadence.shared.v1.RingInfo.members:type_name -> uber.cadence.shared.v1.HostInfo
	0, // 1: uber.cadence.shared.v1.MembershipInfo.current_host:type_name -> uber.cadence.shared.v1.HostInfo
	1, // 2: uber.cadence.shared.v1.MembershipInfo.rings:type_name -> uber.cadence.shared.v1.RingInfo
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_uber_cadence_shared_v1_cluster_proto_init() }
func file_uber_cadence_shared_v1_cluster_proto_init() {
	if File_uber_cadence_shared_v1_cluster_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_uber_cadence_shared_v1_cluster_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HostInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_shared_v1_cluster_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RingInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_shared_v1_cluster_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MembershipInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_shared_v1_cluster_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DomainCacheInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_uber_cadence_shared_v1_cluster_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_uber_cadence_shared_v1_cluster_proto_goTypes,
		DependencyIndexes: file_uber_cadence_shared_v1_cluster_proto_depIdxs,
		MessageInfos:      file_uber_cadence_shared_v1_cluster_proto_msgTypes,
	}.Build()
	File_uber_cadence_shared_v1_cluster_proto = out.File
	file_uber_cadence_shared_v1_cluster_proto_rawDesc = nil
	file_uber_cadence_shared_v1_cluster_proto_goTypes = nil
	file_uber_cadence_shared_v1_cluster_proto_depIdxs = nil
}
